import time
import PIL.Image as Image

from data.transforms import PlanckianJitter
import torchvision.transforms as trs

print("Execution time analysis of transforms")


color_jitter = trs.ColorJitter(
    0.8 * 0.5,
    0.8 * 0.5,
    0.8 * 0.5,
    0.2 * 0.5,
)


PJ = trs.Compose([
    PlanckianJitter(),
    trs.ColorJitter(
        0.8 * 0.5,
        0.8 * 0.5,
        0,
        0,
    )
])

img = Image.open('../timetest.jpg')

print("Resolution ColorJitter PlanckianJitter")
for i in [128, 256, 512, 1024, 2048, 4096]:

    ex_time_CJ = []
    ex_time_PJ = []
    for _ in range(40):
        rsz = trs.Resize([i, i])
        img = rsz(img)
        starting_time_CJ = time.time()

        color_jitter(img)

        exec_time_CJ = time.time() - starting_time_CJ
        ex_time_CJ.append(exec_time_CJ)

        starting_time_PJ = time.time()

        PJ(img)

        exec_time_PJ = time.time() - starting_time_PJ
        ex_time_PJ.append(exec_time_PJ)

    print("{}x{} {} {}".format(i, i, sum(ex_time_CJ) /
                               len(ex_time_CJ), sum(ex_time_PJ) / len(ex_time_PJ)))
