#!/bin/bash

# ckpt='./test_cif10.ckpt'
# Cifar10 FS
# ckpt="./experiments/resnet18_cifar10/version_FS_0/checkpoints/epoch165_resnet18_102flowers.pt"
# Cifar100 FS
# ckpt="./experiments/resnet18_cifar100/version_FS_0/checkpoints/epoch285_resnet18_102flowers.pt"
# Cifar10 SimSiam
# ckpt="./weights/simsiam_cifar10/epoch=799-step=69599.ckpt"

# Cifar100 SimSiam only hue
# ckpt="../Experiments/SimSiam/Cifar100_32x32/contrastive_weights/4_Default_chromaticity_only/epoch=799-step=69599.ckpt"

# Cifar100 only brightness
# ckpt='../Experiments/SimSiam/Cifar100_32x32/contrastive_weights/8_brightness_only/epoch=799-step=69599.ckpt'

# Cifar100 only contrast
ckpt='../Experiments/SimSiam/Cifar100_32x32/contrastive_weights/9_contrast_only/epoch=799-step=69599.ckpt'


# Cifar100 SimSiam jitter 0.5
# ckpt="./tb_logs/SimSiam_cifar100/version_2/checkpoints/epoch=1599-step=139199.ckpt"

# Cifar100 SimSiam no hue-sat jitter
# ckpt="./tb_logs/SimSiam_cifar100/version_3/checkpoints/epoch=1599-step=139199.ckpt"

# Cifar100 SimSiam luminance version
# ckpt="./tb_logs/SimSiam_cifar100/version_7/checkpoints/epoch=1599-step=139199.ckpt"

# Cifar100 Simsiam with Half Color Jitter
# ckpt='./tb_logs/SimSiam_cifar100/version_14/checkpoints/epoch=1599-step=139199.ckpt'

# Cifar100 Simsiam with Half Color Jitter + PlanckianJitter
# ckpt='./tb_logs/SimSiam_cifar100/version_16/checkpoints/epoch=1599-step=139199.ckpt'


################################################################################
################################################################################
################################################################################
## PJ CORRETTO

# Cifar100 SimSiam [default]
# ckpt="./weights/simsiam_cifar100/epoch=1599-step=139199.ckpt"

# Cifar100 SimSiam [default] only chromaticity
# ckpt='../Experiments/SimSiam/Cifar100_32x32/contrastive_weights/4_Default_chromaticity_only/epoch=799-step=69599.ckpt'
# ckpt='../version_4/checkpoints/epoch=1540-step=134041.ckpt'

# Cifar100 Simsiam with PlanckianJitter
# ckpt='./tb_logs/SimSiam_cifar100/version_15/checkpoints/epoch=1599-step=139199.ckpt'

# Cifar100 Simsiam with PlanckianJitter + Half Color Jitter [ordine inverso]
# ckpt='./tb_logs/SimSiam_cifar100/version_17/checkpoints/epoch=1599-step=139199.ckpt'

# Cifar100 Simsiam with PlanckianJitter CIED
# ckpt='./tb_logs/SimSiam_cifar100/version_18/checkpoints/epoch=1599-step=139199.ckpt'

# Cifar100 Simsiam with PlanckianJitter CIED + Half Color Jitter [ordine inverso]
# ckpt='./tb_logs/SimSiam_cifar100/version_19/checkpoints/epoch=1599-step=139199.ckpt'

# Cifar100 Simsiam default with 1024
# ckpt='./tb_logs/SimSiam_cifar100/version_21/checkpoints/epoch=1599-step=139199.ckpt'

# Cifar100 Simsiam with PlanckianJitter + Half Color Jitter [ordine inverso] with 1024
# ckpt='./tb_logs/SimSiam_cifar100/version_20/checkpoints/epoch=1599-step=139199.ckpt'

# Cifar100 Simsiam train 50% default 50% PJ+HCJ
# ckpt='./tb_logs/SimSiam_cifar100/version_23/checkpoints/epoch=799-step=69599.ckpt'


################################################################################

# TinyImagenet 64x64 default
# ckpt='./tb_logs/SimSiam_tinyimagenet/version_9/checkpoints/epoch=801-step=153176.ckpt'

# TinyImagenet 64x64 PlanckianJitter + Half Color Jitter
# ckpt='./tb_logs/SimSiam_tinyimagenet/version_10/checkpoints/epoch=813-step=155406.ckpt'

# SimCLR  default
# ckpt='./tb_logs/SimCLR_cifar100/version_0/checkpoints/epoch=1598-step=139112.ckpt'

# SimCLR PlanckianJitter + Half Color Jitter
# ckpt='./tb_logs/SimCLR_cifar100/version_1/checkpoints/epoch=1475-step=128411.ckpt'

# Barlow Twins
# ckpt='./tb_logs/BarlowTwins_cifar100/version_2/checkpoints/epoch=799-step=69599.ckpt'

# Barlow Twins PlanckianJitter + Half Color Jitter
# ckpt='./tb_logs/BarlowTwins_cifar100/version_3/checkpoints/epoch=799-step=69599.ckpt'

# Mixed losses 512
# ckpt='./tb_logs/SimSiam_mix_cifar100/version_0_512/checkpoints/epoch=1312-step=114230.ckpt'

# Mixed losses 1024
# ckpt='./tb_logs/SimSiam_mix_cifar100/version_1_1024/checkpoints/epoch=1599-step=139199.ckpt'



python3 ./source/train_model.py \
  --ckpt $ckpt \
  --epochs 300 \
  --lr 0.03 \
  --optim adam \
  --scheduler \
  --weight_decay 1e-5 \
  --batch_size 256 \
  --arch resnet18 \
  --dataset flowers102 \
  --base_db cifar100 \
  --dim 32 \
  --first_conv \
  --maxpool1 \
  --save_dir ./experiments/Fine_Tuning/asd/ \
  --threads 4 \
  --device cuda:0
  # --dataset 102flowers \
  # --dataset cifar100 \
  # --from_scratch \
  # --im_dir ../datasets/102flowers/ \
  # --train_all \
