#!/bin/bash

# Cifar100 SimSiam
ckpt_1="./weights/simsiam_cifar100/epoch=1599-step=139199.ckpt"

# Cifar100 SimSiam None
# ckpt_1="../Experiments/SimSiam/Cifar100_32x32/contrastive_weights/0_None/ckpt.ckpt"

# Cifar100 SimSiam Default no GrayScale
ckpt_2="../Experiments/SimSiam/Cifar100_32x32/contrastive_weights/3_Default_wo_RGS/ckpt.ckpt"

# Cifar100 Simsiam with PlanckianJitter BC only
# ckpt_2='../Experiments/SimSiam/Cifar100_32x32/contrastive_weights/5_PJ_brightness_contrast_only/checkpoints/epoch=1599-step=139199.ckpt'


# Cifar100 Simsiam with PlanckianJitter + Half Color Jitter
# ckpt_2='./tb_logs/SimSiam_cifar100/version_17/checkpoints/epoch=1599-step=139199.ckpt'

# Cifar100 Simsiam with PlanckianJitter CIED + Half Color Jitter
# ckpt_2='./tb_logs/SimSiam_cifar100/version_19/checkpoints/epoch=1599-step=139199.ckpt'


# SimCLR  default
# ckpt_1='./tb_logs/SimCLR_cifar100/version_0/checkpoints/epoch=1598-step=139112.ckpt'

# SimCLR PlanckianJitter + Half Color Jitter
# ckpt_2='./tb_logs/SimCLR_cifar100/version_1/checkpoints/epoch=1475-step=128411.ckpt'


# TinyImagenet 64x64 default
# ckpt_1='./tb_logs/SimSiam_tinyimagenet/version_9/checkpoints/epoch=801-step=153176.ckpt'

# TinyImagenet 64x64 PlanckianJitter + Half Color Jitter
# ckpt_2='./tb_logs/SimSiam_tinyimagenet/version_10/checkpoints/epoch=813-step=155406.ckpt'

# Barlow Twins
# ckpt_1='./tb_logs/BarlowTwins_cifar100/version_2/checkpoints/epoch=799-step=69599.ckpt'

# Barlow Twins PlanckianJitter + Half Color Jitter
# ckpt_2='./tb_logs/BarlowTwins_cifar100/version_3/checkpoints/epoch=799-step=69599.ckpt'

python3 ./source/model_mix.py \
  --model simsiam \
  --ckpt_1 $ckpt_1 \
  --ckpt_2 $ckpt_2 \
  --epochs 800 \
  --lr 1 \
  --optim sgd \
  --scheduler \
  --weight_decay 1e-5 \
  --batch_size 256 \
  --arch resnet18 \
  --dataset cifar100 \
  --base_db cifar100 \
  --dim 32 \
  --first_conv \
  --maxpool1 \
  --save_dir ./experiments/Mix/NEWMIXES \
  --threads 8 \
  --device cuda:0

  # --dataset TinyImagenet \
  # --dataset 102flowers \
  # --dataset cifar100 \
  # --im_dir ../datasets/102flowers/ \
  # --train_all \
  # --from_scratch \
